"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.jdbcProperties = void 0;
exports.jdbcProperties = [
    {
        displayName: 'JDBC URL',
        name: 'jdbcUrl',
        type: 'string',
        default: '',
        displayOptions: {
            show: {
                connectionType: ['jdbc'],
            },
        },
    },
    {
        displayName: 'JDBC Files',
        name: 'jdbcFiles',
        type: 'string',
        default: '',
        displayOptions: {
            show: {
                connectionType: ['jdbc'],
            },
        },
    },
    {
        displayName: 'Metadata',
        name: 'metadataUi',
        placeholder: 'Add Metadata',
        type: 'fixedCollection',
        default: '',
        typeOptions: {
            multipleValues: true,
        },
        description: 'Test description',
        options: [
            {
                name: 'metadataValues',
                displayName: 'Metadata',
                values: [
                    {
                        displayName: 'Name',
                        name: 'name',
                        type: 'string',
                        default: 'Name of the metadata key to add.',
                    },
                    {
                        displayName: 'Value',
                        name: 'value',
                        type: 'string',
                        default: '',
                        description: 'Value to set for the metadata key.',
                    },
                ],
            },
        ],
    }
];
//# sourceMappingURL=properties.js.map