"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.jdbcProperties = void 0;
exports.jdbcProperties = [
    {
        displayName: 'JDBC URL',
        name: 'jdbcUrl',
        type: 'string',
        default: '',
        displayOptions: {
            show: {
                connectionType: ['jdbc'],
            },
        },
    },
    {
        displayName: 'JDBC Files',
        name: 'jdbcFiles',
        type: 'string',
        default: '',
        displayOptions: {
            show: {
                connectionType: ['jdbc'],
            },
        },
    },
    {
        displayName: 'Driver Files',
        name: 'driverFiles',
        placeholder: 'Add File',
        type: 'fixedCollection',
        default: '',
        typeOptions: {
            multipleValues: true,
        },
        description: '',
        options: [
            {
                name: 'driverFilePathes',
                displayName: 'Files',
                values: [
                    {
                        displayName: 'Path',
                        name: 'name',
                        type: 'string',
                        default: 'Path of the file',
                    },
                ],
            },
        ],
        displayOptions: {
            show: {
                connectionType: ['jdbc'],
            },
        },
    },
];
//# sourceMappingURL=properties.js.map