"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SqlDatabaseOdbcSource = void 0;
class SqlDatabaseOdbcSource {
    constructor() {
        this.name = 'sqlDatabaseOdbcSource';
        this.displayName = 'Database (ODBC Data Source)';
        this.properties = [
            {
                displayName: 'Host',
                name: 'databaseHost',
                type: 'string',
                required: true,
                default: '',
            },
            {
                displayName: 'Data Source Name (DSN)',
                name: 'databaseName',
                type: 'string',
                required: false,
                default: '',
            },
            {
                displayName: 'Username (UID)',
                name: 'username',
                type: 'string',
                default: '',
            },
            {
                displayName: 'Password (PWD)',
                name: 'password',
                type: 'string',
                typeOptions: {
                    password: true,
                },
                default: '',
            },
        ];
    }
}
exports.SqlDatabaseOdbcSource = SqlDatabaseOdbcSource;
//# sourceMappingURL=SqlDatabaseOdbcSource.credentials.js.map