"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.JdbcConnection = void 0;
const jdbc = require('jdbc');
const jinst = require('jdbc/lib/jinst');
class JdbcConnection {
    constructor(jvmOptions = [], jvmClassPath = [], jdbcOptions) {
        if (!jinst.isJvmCreated()) {
            jinst.addOption();
            jinst.setupClasspath();
        }
        var config = {
            url: 'jdbc:rs-u2://ADMFIN01/HRDATA?dbmstype=UNIVERSE',
            drivername: 'com.rs.u2.jdbc.UniJDBCDriver',
            minpoolsize: 10,
            maxpoolsize: 100,
            user: '',
            password: '',
            properties: {}
        };
        const db = new jdbc(config);
        db.initialize(function (err) {
            if (err) {
                console.log(err);
            }
        });
    }
}
exports.JdbcConnection = JdbcConnection;
//# sourceMappingURL=index.js.map