"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SqlDatabase = void 0;
class SqlDatabase {
    constructor() {
        this.name = 'sqlDatabase';
        this.displayName = 'SQL Database';
        this.properties = [
            {
                displayName: 'Username',
                name: 'username',
                type: 'string',
                required: true,
                default: '',
            },
            {
                displayName: 'Password',
                name: 'password',
                type: 'string',
                required: true,
                typeOptions: {
                    password: true
                },
                default: '',
            },
            {
                displayName: 'Connection URL',
                name: 'connectionUrl',
                type: 'string',
                hint: 'JDBC Connection URL',
                default: '',
            },
            {
                displayName: 'Driver Class',
                name: 'driverClass',
                type: 'string',
                hint: 'JDBC Driver Class',
                default: '',
            },
            {
                displayName: 'Driver Dependencies',
                name: 'driverDependencies',
                type: 'json',
                hint: 'JDBC Driver Dependencies',
                default: [],
            },
        ];
    }
}
exports.SqlDatabase = SqlDatabase;
//# sourceMappingURL=SqlDatabase.credentials.js.map