import type { AllEntities, Entity, PropertiesOf } from 'n8n-workflow';
declare type SqlDatabaseCredentialsMap = {
    authentication: 'basicAuth' | 'test';
    connections: 'jdbc' | 'odbc';
};
export declare type SqlDatabaseCredentials = AllEntities<SqlDatabaseCredentialsMap>;
export declare type SqlDatabaseAuthentication = Entity<SqlDatabaseCredentialsMap, 'authentication'>;
export declare type SqlDatabaseConnections = Entity<SqlDatabaseCredentialsMap, 'connections'>;
export declare type AuthenticationProperties = PropertiesOf<SqlDatabaseAuthentication>;
export declare type ConnectionsProperties = PropertiesOf<SqlDatabaseConnections>;
export {};
