"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.connectionOpenProperties = void 0;
exports.connectionOpenProperties = [
    {
        displayName: 'Connection Type',
        name: 'connectionType',
        type: 'options',
        required: true,
        displayOptions: {
            show: {
                resource: ['connection'],
                operation: ['open'],
            },
        },
        options: [
            {
                name: 'JDBC Driver',
                value: 'jdbcConnection',
            },
            {
                name: 'ODBC Data Source',
                value: 'odbcConnection',
            },
        ],
        default: 'jdbcConnection',
    },
    ...jdbcConnectionOpenProperties,
    ...odbcConnectionOpenProperties,
];
const jdbcConnectionOpenProperties = [
    {
        displayName: 'Host',
        name: '',
        type: 'string',
        required: true,
        displayOptions: {
            show: {
                resource: ['connection'],
                operation: ['open']
            },
        },
        default: '',
    },
    {
        displayName: 'Database',
        name: '',
        type: 'string',
        required: true,
        displayOptions: {
            show: {
                resource: ['connection'],
                operation: ['open'],
            },
        },
        default: '',
    },
];
const odbcConnectionOpenProperties = [];
//# sourceMappingURL=properties.js.map