"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.exec = void 0;
const transport_1 = require("../../../transport");
async function exec(index) {
    const query = this.getNodeParameter('queryString', 0);
    const { db } = this.getInputData();
    console.log(db);
    let returnData = [];
    try {
        returnData = await transport_1.executeQueryRequest.call(this, db, query);
    }
    catch (e) {
        console.log("errored:", e.message);
    }
    return this.helpers.returnJsonArray(returnData);
}
exports.exec = exec;
//# sourceMappingURL=execute.js.map