"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.route = void 0;
const statement = __importStar(require("./statement"));
async function route() {
    const operationResult = [];
    let executionData = [];
    const resource = this.getNodeParameter('resource', 0);
    let operation = this.getNodeParameter('operation', 0);
    const sqlDatabase = {
        resource,
        operation,
    };
    try {
        if (sqlDatabase.resource === 'statement') {
            executionData = await statement[sqlDatabase.operation].execute.call(this);
        }
        operationResult.push(...executionData);
    }
    catch (err) {
        throw err;
    }
    return [operationResult];
}
exports.route = route;
//# sourceMappingURL=route.js.map