import type { AllEntities, Entity, PropertiesOf } from 'n8n-workflow';
declare type SqlDatabaseMap = {
    connection: 'open' | 'close';
    query: 'execute';
};
export declare type SqlDatabase = AllEntities<SqlDatabaseMap>;
export declare type SqlDatabaseConnection = Entity<SqlDatabaseMap, 'connection'>;
export declare type SqlDatabaseQuery = Entity<SqlDatabaseMap, 'query'>;
export declare type ConnectionProperties = PropertiesOf<SqlDatabaseConnection>;
export declare type QueryProperties = PropertiesOf<SqlDatabaseQuery>;
export {};
