"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.configure = void 0;
const jdbc = require('jdbc');
const jinst = require('jdbc/lib/jinst');
const configure = async (jvmOptions = [], jvmClassPath = [], jdbcOptions) => {
    if (!jinst.isJvmCreated()) {
        jvmOptions.map(jvmOption => jinst.addOption(jvmOption));
        jinst.setupClasspath(jvmClassPath);
    }
    const db = new jdbc(jdbcOptions);
    db?.initialize(function (err) {
        if (err) {
            console.log(err);
        }
    });
    return db;
};
exports.configure = configure;
//# sourceMappingURL=database.js.map